Name:           delve		
Version:	1.4.0
Release:	1%{?dist}
Summary:	A debugger for the Go programming language
Group:	        Development/Debuggers

License:	MIT
URL:		https://github.com/go-delve/delve
Source0:	%{name}-%{version}.tar.gz

%global goipath         github.com/go-delve/delve
%global debug_package %{nil}
%global gobuild         go build -mod=vendor

BuildRequires:	gcc 
BuildRequires:	glibc 
BuildRequires:  golang >= 1.11
Requires:	glibc

Provides: %{name} = %{version}-%{release}

%description
delve is a debugger for the Go programming language

%package        help
Summary:        Documentation and templates for delve
BuildArch:      noarch

%description    help
This package contains documentation for delve.

%prep
%setup -q

%build
%gobuild -o _bin/dlv %{goipath}/cmd/dlv

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -m 0755 _bin/dlv %{buildroot}%{_bindir}/dlv

%clean
rm -rf %{buildroot}

%files 
%{_bindir}/dlv

%files          help
%license LICENSE
%doc CONTRIBUTING.md CHANGELOG.md
%doc Documentation/*

%changelog
* Fri Apr 10 2020 fcwicky <307610302@qq.com> - 1.4.0-1
- Package init
